#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2025/03/11 18:53:52
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   
'''
from models import db
from flask import Flask
from config import Config
from routes import index_bp
from utils.filters import init_app

app = Flask(__name__)
app.config.from_object(Config)

app.register_blueprint(index_bp)
init_app(app)

if __name__ == '__main__':
    db.init_app(app)
    with app.app_context():
        db.create_all()
    app.run(debug=True, host='0.0.0.0', port=5000)
